RDKit::AtomSanitizeException Class Reference

`#include <SanitException.h>`

Inheritance diagram for RDKit::AtomSanitizeException:

## Public Member Functions

| AtomSanitizeException (const char *msg, unsigned int atomIdx)
| AtomSanitizeException (const std::string &msg, unsigned int atomIdx)
| AtomSanitizeException (const AtomSanitizeException &other)
unsigned int | getAtomIdx () const
virtual | ~AtomSanitizeException () throw ()
virtual MolSanitizeException * | copy () const
virtual std::string | getType () const
Public Member Functions inherited from RDKit::MolSanitizeException
| MolSanitizeException (const char *msg)
| MolSanitizeException (const std::string &msg)
| MolSanitizeException (const MolSanitizeException &other)
virtual const char * | message () const
virtual | ~MolSanitizeException () throw ()

## Protected Attributes

unsigned int | d_atomIdx
Protected Attributes inherited from RDKit::MolSanitizeException
std::string | d_msg

## Detailed Description

Definition at line 44 of file SanitException.h.

## Constructor & Destructor Documentation

## AtomSanitizeException() [1/3]

RDKit::AtomSanitizeException::AtomSanitizeException | ( | const char * | msg,
|  | unsigned int | atomIdx
| ) |  |

inline

Definition at line 47 of file SanitException.h.

## AtomSanitizeException() [2/3]

RDKit::AtomSanitizeException::AtomSanitizeException | ( | const std::string & | msg,
|  | unsigned int | atomIdx
| ) |  |

inline

Definition at line 49 of file SanitException.h.

## AtomSanitizeException() [3/3]

RDKit::AtomSanitizeException::AtomSanitizeException | ( | const AtomSanitizeException & | other | ) |

inline

Definition at line 51 of file SanitException.h.

## ~AtomSanitizeException()

virtual RDKit::AtomSanitizeException::~AtomSanitizeException | ( |  | ) |
throw | ( |
| ) |  |

inline virtual

Definition at line 54 of file SanitException.h.

## Member Function Documentation

## copy()

virtual MolSanitizeException* RDKit::AtomSanitizeException::copy | ( |  | ) | const

inline virtual

Reimplemented from RDKit::MolSanitizeException.

Reimplemented in RDKit::AtomKekulizeException, and RDKit::AtomValenceException.

Definition at line 55 of file SanitException.h.

## getAtomIdx()

unsigned int RDKit::AtomSanitizeException::getAtomIdx | ( |  | ) | const

inline

Definition at line 53 of file SanitException.h.

## getType()

virtual std::string RDKit::AtomSanitizeException::getType | ( |  | ) | const

inline virtual

Reimplemented from RDKit::MolSanitizeException.

Reimplemented in RDKit::AtomKekulizeException, and RDKit::AtomValenceException.

Definition at line 58 of file SanitException.h.

## Member Data Documentation

## d_atomIdx

unsigned int RDKit::AtomSanitizeException::d_atomIdx

protected

Definition at line 58 of file SanitException.h.

The documentation for this class was generated from the following file:

- SanitException.h